/*

Copyright 2011 Danilo Ruffolo <danilo.ruffolo@gmail.com>

This file is part of nTetris.

nTetris is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

nTetris is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with nTetris.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef HISCORE_H
#define HISCORE_H

#include <string>
#include <list>

using namespace std;
 
class Hiscore
{
    friend class Schermo;
    friend class Tabellone;
    
 public:
    Hiscore(string nome = "Franco", string linee = "0", string punti = "0");
    string getNome() const;
    string getLinee() const;
    string getPunti() const;

    void setNome(string n);
    void setLinee(string l);
    void setPunti(string p);
    
 private:
    string nome;
    string linee;
    string punti;
};

#endif
